# Anue Fe SDK

SDK development project, `VSCode` is recommended

## Debug

> For integrated test

In `./sandbox` there's a super simple environment that simulates an isomorphic React app scenario.

Try to import and debug SDK there.

you can simply run the following command

```sh
$ yarn run debug
```

The script will start watch changes in `./sandbox/server.js` and `./sandbox/source.js`,
every change in both path will be bundled i to `./sandbox/sandbox.bundle.js` and `./sandbox/serve.bundle.js`.

Now, navigate [http://localhost:3000](http://localhost:3000) to see the result.

## Debug with other projects

To generate output to external projects, simply add an environment variable

```sh
$ external_project=/some/project/folder yarn run debug
```


> For development

You should always write unit tests, and make sure every units are capable to work in JEST.

We've already set several debug configurations in VSCode which helps debugging easier.
