import * as Storage from '@libraries/Storage';
import * as Network from '@libraries/Network';
import AxiosDriverNetworkDriver from './AxiosDriverNetworkDriver';
import LocalStorageDriver from './LocalStorageDriver';

Storage.setDriver(new LocalStorageDriver());
Network.setDriver(new AxiosDriverNetworkDriver());

export { Storage, Network };
